> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get documents in the workspace accessible to the calling user

GET https://api-d.docusign.com/v1/accounts/{accountId}/workspaces/{workspaceId}/documents

This operation retrieves the documents in the workspace that are accessible to the calling user. Documents may be added directly or automatically through tasks such as envelopes. Documents may be used to create envelopes.

Pagination is supported by passing `start_position` and `count` in the request. The response will include `resultSetSize`, `start_position`, and `end_position` which may be utilized for subsequent requests.

[Required authentication scopes](/docs/workspaces-api/auth/): `dtr.rooms.read`

Reference: https://developers.docusign.com/docs/workspaces-api/reference/workspaces/workspacedocuments/getworkspacedocuments

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from Docusign authorization server

## Servers

- `https://api-d.docusign.com` (Demo, default)
- `https://api.docusign.com` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account
- `workspaceId` (string, required) — The ID of the workspace

### Query parameters

- `count` (integer, optional) — Number of documents to return. Defaults to the maximum which is 100
- `start_position` (integer, optional) — Position of the first item in the total results. Defaults to 0
- `name_filter` (string, optional) — Filter documents where Name contains the filter. Defaults to null, to not filter

## Response

### 200

Documents successfully retrieved

- `documents` (list of WorkspaceDocument, optional, nullable) — The document summary list. Includes the ID, name, and metadata
- `result_set_size` (integer, optional, nullable) — The number of documents returned in the response. Always equal or less than the `count` of the request
- `start_position` (integer, optional, nullable) — Position of the first item in the total results
- `end_position` (integer, optional, nullable) — Position of the last item in the total results
- `total_row_count` (integer, optional, nullable) — The total number of documents in the workspace applicable to the request regardless of pagination. It may not always be computed

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 401 Unauthorized Error

Not authorized to make this request

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

## Types

### WorkspaceDocument

- `document_id` (string, required) — The ID of the document
- `name` (string, optional, nullable) — The name of the document
- `owner_id` (string, optional, nullable) — The ID of the user who owns the document
- `size` (long, optional, nullable) — The size of the document in bytes
- `created_date` (datetime, optional, nullable) — The date the document was created
- `last_updated_date` (datetime, optional, nullable) — The date the document was last updated
- `owner` (WorkspaceDocumentOwner, optional)

### WorkspaceDocumentOwner

- `first_name` (string, optional, nullable) — The first name of the document owner
- `last_name` (string, optional, nullable) — The last name of the document owner

## Examples

**Response**

```json
{
  "documents": [
    {
      "document_id": "9e2f4a8b-3c7d-4e5f-a1b2-8c9d6e3f4a7b",
      "name": "Contract Agreement.pdf",
      "owner_id": "211e2d22-f070-4c8d-b6a7-ecb14ceb81b4",
      "size": 245760,
      "created_date": "2025-09-01T12:00:00Z",
      "last_updated_date": "2025-09-01T12:00:00Z",
      "owner": {
        "first_name": "John",
        "last_name": "Doe"
      }
    },
    {
      "document_id": "1f3e5b9c-4d8a-5e6f-b2c3-9d0e7f4a8b1c",
      "name": "Employee Handbook.docx",
      "owner_id": "211e2d22-f070-4c8d-b6a7-ecb14ceb81b4",
      "size": 512000,
      "created_date": "2025-09-01T12:00:00Z",
      "last_updated_date": "2025-09-01T13:00:00Z",
      "owner": {
        "first_name": "John",
        "last_name": "Doe"
      }
    }
  ],
  "result_set_size": 2,
  "start_position": 0,
  "end_position": 1,
  "total_row_count": 2
}
```